Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.el
Class ValueBindingImpl

    java.lang.Object
      javax.faces.el.ValueBinding
          org.apache.myfaces.el.ValueBindingImpl

All Implemented Interfaces:
  javax.faces.component.StateHolder

public class ValueBindingImpl
extends javax.faces.el.ValueBinding
implements javax.faces.component.StateHolder

Version:
  $Revision: 293105 $ $Date: 2005-10-02 08:45:03 -0400 (Sun, 02 Oct 2005) $
Author:
  Manfred Geiler (latest modification by $Author: oros $), Anton Koinov

Nested Class Summary
`static class` | `ValueBindingImpl.ELVariableResolver`
`static class` | `ValueBindingImpl.NotVariableReferenceException`

Field Summary
`protected javax.faces.application.Application` | `_application`
`protected java.lang.Object` | `_expression`
`protected java.lang.String` | `_expressionString`
`protected static javax.servlet.jsp.el.FunctionMapper` | `s_functionMapper` To implement function support, subclass and use a static initialization block to assign your own function mapper

Constructor Summary
`ValueBindingImpl()` Empty constructor, so that new instances can be created when restoring state.
`ValueBindingImpl(javax.faces.application.Application application, java.lang.String expression)`

Method Summary
`java.lang.String` | `getExpressionString()`
`protected RuntimeConfig` | `getRuntimeConfig(javax.faces.context.FacesContext facesContext)`
`java.lang.Class` | `getType(javax.faces.context.FacesContext facesContext)`
`java.lang.Object` | `getValue(javax.faces.context.FacesContext facesContext)`
`boolean` | `isReadOnly(javax.faces.context.FacesContext facesContext)`
`boolean` | `isTransient()`
`protected java.lang.Object` | `resolveToBaseAndProperty(javax.faces.context.FacesContext facesContext)`
`void` | `restoreState(javax.faces.context.FacesContext facesContext, java.lang.Object obj)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext facesContext)`
`void` | `setTransient(boolean flag)`
`void` | `setValue(javax.faces.context.FacesContext facesContext, java.lang.Object newValue)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### s_functionMapper

    protected static javax.servlet.jsp.el.FunctionMapper s_functionMapper

  To implement function support, subclass and use a static initialization block to assign your own function mapper

### _application

    protected javax.faces.application.Application _application

### _expressionString

    protected java.lang.String _expressionString

### _expression

    protected java.lang.Object _expression

Constructor Detail

### ValueBindingImpl

    public ValueBindingImpl(javax.faces.application.Application application,
                            java.lang.String expression)

### ValueBindingImpl

    public ValueBindingImpl()

  Empty constructor, so that new instances can be created when restoring state.

Method Detail

### getExpressionString

    public java.lang.String getExpressionString()

### isReadOnly

    public boolean isReadOnly(javax.faces.context.FacesContext facesContext)

### getType

    public java.lang.Class getType(javax.faces.context.FacesContext facesContext)

### setValue

    public void setValue(javax.faces.context.FacesContext facesContext,
                         java.lang.Object newValue)
                  throws javax.faces.el.EvaluationException,
                         javax.faces.el.PropertyNotFoundException

  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.PropertyNotFoundException`

### getValue

    public java.lang.Object getValue(javax.faces.context.FacesContext facesContext)
                              throws javax.faces.el.EvaluationException,
                                     javax.faces.el.PropertyNotFoundException

  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.PropertyNotFoundException`

### resolveToBaseAndProperty

    protected java.lang.Object resolveToBaseAndProperty(javax.faces.context.FacesContext facesContext)
                                                 throws javax.servlet.jsp.el.ELException,
                                                        ValueBindingImpl.NotVariableReferenceException

  Throws:
    `javax.servlet.jsp.el.ELException`
    `ValueBindingImpl.NotVariableReferenceException`

### getRuntimeConfig

    protected RuntimeConfig getRuntimeConfig(javax.faces.context.FacesContext facesContext)

### toString

    public java.lang.String toString()

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext facesContext)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`

### restoreState

    public void restoreState(javax.faces.context.FacesContext facesContext,
                             java.lang.Object obj)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `javax.faces.component.StateHolder`

### setTransient

    public void setTransient(boolean flag)

  Specified by:
    `setTransient` in interface `javax.faces.component.StateHolder`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD